<?php
    #	SonicCampGuard
    #
    #	Copyright (c) 2024 Bundeswehr
    #	Diese Anwendung wurde von Cedric Prietz entwickelt.
    #	E-Mail: CedricPrietz@bundeswehr.org
    #	App: 90-8303-54618
	#
    #	Letzte Änderung: 09.10.2024

    require_once $_SERVER['DOCUMENT_ROOT'] . '/function.inc.php';
    requireLogin();

    // Dienstpostendaten aus der Datenbank holen
    initializeDatabaseConnection();

    $sql = "SELECT * FROM Positions WHERE ID = ?";
    $stmt = $pdo->prepare($sql);
    $stmt->execute([$_GET['id']]);

    $position = $stmt->fetch();

        // Weiterleiten auf den korrekten Dienstposten-Type
        if ( $position['Type'] == 'Military' ) {

            // Militärisch
            header("Location: /identities/edit-position-military?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Civil' ) {
            
            // Zivil
            header("Location: /identities/edit-position-civil?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Local' ) {
            
            // Ortskräfte
            header("Location: /identities/edit-position-local?id=" . $position['ID']);
            exit();

        } elseif ( $position['Type'] == 'Guest' ) {
            
            // Gäste
            header("Location: /identities/edit-position-guest?id=" . $position['ID']);
            exit();

        } else {

            // Abbrechen
            header("Location: /identities/positions");
            exit();

        }

?>